edu.ucsb.nceas.metacat.event

## Class MetacatDocumentEvent

- java.lang.Object
- - edu.ucsb.nceas.metacat.event.MetacatDocumentEvent

- All Implemented Interfaces:
    MetacatEvent

      public class MetacatDocumentEvent
      extends java.lang.Object
      implements MetacatEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetacatDocumentEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.lang.String` | `getDocid()`
    `java.lang.String` | `getDoctype()`
    `java.lang.String[]` | `getGroups()`
    `java.lang.String` | `getUser()`
    `void` | `setAction(java.lang.String action)`
    `void` | `setDocid(java.lang.String docid)`
    `void` | `setDoctype(java.lang.String doctype)`
    `void` | `setGroups(java.lang.String[] groups)`
    `void` | `setUser(java.lang.String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetacatDocumentEvent

          public MetacatDocumentEvent()

  - ### Method Detail

    - #### getDocid

          public java.lang.String getDocid()

    - #### setDocid

          public void setDocid(java.lang.String docid)

    - #### getDoctype

          public java.lang.String getDoctype()

    - #### setDoctype

          public void setDoctype(java.lang.String doctype)

    - #### getAction

          public java.lang.String getAction()

    - #### setAction

          public void setAction(java.lang.String action)

    - #### getUser

          public java.lang.String getUser()

    - #### setUser

          public void setUser(java.lang.String user)

    - #### getGroups

          public java.lang.String[] getGroups()

    - #### setGroups

          public void setGroups(java.lang.String[] groups)

Copyright © 2020 Regents of the University of California. All Rights Reserved.